xgboost

Public Member Functions | List of all members
xgboost::EllpackPage Class Reference

A page stored in ELLPACK format. More...

`#include <data.h>`

Collaboration diagram for xgboost::EllpackPage:

## Public Member Functions
| EllpackPage ()
| Default constructor. More...
| EllpackPage (DMatrix *dmat, const BatchParam &param)
| Constructor from an existing DMatrix. More...
| ~EllpackPage ()
| Destructor. More...
| EllpackPage (EllpackPage &&that)
size_t | Size () const
void | SetBaseRowId (size_t row_id)
| Set the base row id for this page. More...
const EllpackPageImpl * | Impl () const
EllpackPageImpl * | Impl ()

## Detailed Description

A page stored in ELLPACK format.

This class uses the PImpl idiom (https://en.cppreference.com/w/cpp/language/pimpl) to avoid including CUDA-specific implementation details in the header.

## Constructor & Destructor Documentation

## ◆ EllpackPage() [1/3]

xgboost::EllpackPage::EllpackPage | ( |  | ) |

Default constructor.

This is used in the external memory case. An empty ELLPACK page is constructed with its content set later by the reader.

## ◆ EllpackPage() [2/3]

xgboost::EllpackPage::EllpackPage | ( | DMatrix * | dmat,
|  | const BatchParam & | param
| ) |  |
| explicit

Constructor from an existing DMatrix.

This is used in the in-memory case. The ELLPACK page is constructed from an existing DMatrix in CSR format.

## ◆ ~EllpackPage()

xgboost::EllpackPage::~EllpackPage | ( |  | ) |

Destructor.

## ◆ EllpackPage() [3/3]

xgboost::EllpackPage::EllpackPage | ( | EllpackPage && | that | ) |

## Member Function Documentation

## ◆ Impl() [1/2]

EllpackPageImpl* xgboost::EllpackPage::Impl | ( |  | ) |
| inline

## ◆ Impl() [2/2]

const EllpackPageImpl* xgboost::EllpackPage::Impl | ( |  | ) | const
| inline

## ◆ SetBaseRowId()

void xgboost::EllpackPage::SetBaseRowId | ( | size_t | row_id | ) |

Set the base row id for this page.

## ◆ Size()

size_t xgboost::EllpackPage::Size | ( |  | ) | const

Returns
  Number of instances in the page.

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/include/xgboost/data.h